#ifndef __FINDIJC__
#define __FINDIJC__

#include "../Chani.h"
#include "Findij.h" 

Findij::Findij(double x, double y){
	//Reading x & y vectors:		
	char fnamev[100];
	sprintf(fnamev, "%sxy.root", dir);
	
	TFile f(fnamev); // open the paramsxy.root file. EDIT THIS LINE ACCORDING TO YOUR WORKING DIRECTORY.
		
	TVectorD *xp; // Pointer for x-vector
	f.GetObject("x-vector",xp);
		
	TVectorD *yp; // Pointer for y-vector
	f.GetObject("y-vector",yp);
		
	int N = nx*ny;
		
	TVectorD xv(1,N);
	xv = *xp;
	delete xp;
	TVectorD yv(1,N);
	yv = *yp;
	delete yp;
		
	f.Close();
	//Dummy variables:
	double dist, distmin;
		
	for (int j = 1; j < ny+1; j++){
		for (int i=1; i < nx+1; i++){

		dist = pow((xv(i+nx*(j-1))-x),2) + pow((yv(i+nx*(j-1))-y),2);
		//cout << "dist = " << dist << " i, j = " << i << ", " << j << " xv, yv = " << xv(i+nx*(j-1)) << " , " << yv(i+nx*(j-1)) << endl;
			
		if (i == 1 && j == 1){distmin = dist; imin = i; jmin = j;}
		if (dist <= distmin){distmin = dist; imin = i; jmin = j;} 
		// please note that, 
		// if the connector coordinates are in the middle of two cells, the one comes late is automatically choosen

		}
	}
	
//cout << "imin, jmin = " << imin << ", " << jmin << endl;
}

int Findij::Geti() { return imin; }
int Findij::Getj() { return jmin; }

#endif // __FINDIJC__
