#ifndef __READPC__
#define __READPC__

#include "../Chani.h"
#include "Readp.h"

Readp::Readp(){
		char fname[100];
		sprintf(fname, "%sparameters.root", dir);

		TFile f(fname); // open the paramsxy.root file. EDIT THIS LINE ACCORDING TO YOUR WORKING DIRECTORY.
		//f.GetListOfKeys()->Print(); // Print to see if the objects are retrieved properly

		TH1 *params; // The histogram to hold lx, nx, ax, ly, ny, ay values in

		f.GetObject("params",params);
		lx = params->GetBinContent(1);
		nx = params->GetBinContent(2);
		ax = params->GetBinContent(3);
		ly = params->GetBinContent(4);
		ny = params->GetBinContent(5);
		ay = params->GetBinContent(6);
		Nm = params->GetBinContent(7);
		sigmas = params->GetBinContent(8);

		f.Close();
	}

double Readp::Getlx() { return lx; }
double Readp::Getly() { return ly; }
double Readp::Getax() { return ax; }
double Readp::Getay() { return ay; }
int Readp::Getnx() { return nx; }
int Readp::Getny() { return ny; }
int Readp::GetNm() { return Nm; }
double Readp::Getsigmas() { return sigmas; }

#endif // __READPC__
