#include <iostream>
#include "Chani.h"

/*
Dimensions and number of divisions are defined in this file
All lengths are in meters
Once the macro is run, l-matrix is calculated
//*/

void definitions(){

double lx = 2e-2; // length in x direction
int nx = 15; // number of divisions in x
double ly = 2e-2; // length in y direction
int ny = 15; // number of divisions in y


double sigmas = 1e-5; // surface conductivity

int Nm = 1; // l-matrix is calculated in Nm x Nm part

parameters(lx, nx, ly, ny, Nm, sigmas); // call the function for parameter definitions

computelmn(); // call the function that computes the l-matrix

}
