#include "../Chani.h"
#include "../globalConsts.h"
#include "../classes/Findij.h"

void addConnector(double x, double y, double R){
	
	//Names of the files to be read

	TString fnameh = TString::Format("%sh.root", dir);
	
	Findij fij(x,y);
	int i = fij.Geti();
	int j = fij.Getj();	
	
	
	TFile f(fnameh, "UPDATE"); // open the output file for histograms

	TH2 *connh; // The histogram to hold lx, nx, ax, ly, ny, ay values in
	
	f.GetObject("connh",connh);
	
	connh->SetCellContent(i, j, R); // Write the resistance value in the connector cell
	connh->Write("connh"); // Connector histogram of the surface
		
	delete connh;	
		
	f.Close();

}
