#include "../Chani.h"
#include "../globalConsts.h"
#include "../classes/Findij.h" 

// This function returns the total charge on a space point x,y at the
// time step tStep

double getQxy(double x, double y, int tStep){

double Qxy;

Findij fijQxy(x,y);
int i = fijQxy.Geti();
int j = fijQxy.Getj();
double ax = fijQxy.Getax();
double ay = fijQxy.Getay();

TString fnameh = TString::Format("%sh.root", dir);
	
TFile f(fnameh); // open the output file for histograms

TH2 *sigmah; // Surface charge density histogram
	
char objName[16];

sprintf(objName, "sigmah%i", tStep);
 
f.GetObject(objName, sigmah); // read the surface charge distribution at time = Deltat * tStep

Qxy = sigmah->GetCellContent(i,j);

delete sigmah;
		
f.Close();	

return Qxy;

}
