#ifndef __GETVC__
#define __GETVC__
//#include "../Chani.h"
#include "../classes/Readp.h"

// This function reads and returns the potential of the i-th cell

double getV(int i){
	
	Readp rp;
	int nx = rp.Getnx();
	int ny = rp.Getny();
	int Nm = rp.GetNm();
	double sigmas = rp.Getsigmas();	
	
	int N = nx*ny;
	int nsub = N/Nm;
	
	int iV = (i - 1)/nsub + 1; //indice of the v sub-vector
	
	double V; // Potential value to return

	TString fname = TString::Format("%sVsigma%i", dir, iV);

	TFile f(fname); // open the output file of vectors
	
	TVectorD *Vp; // pointer for the V-vector

	char labelV[5];
	sprintf(labelV, "V%i", iV);

	f.GetObject(labelV, Vp);

	V = (*Vp)(i - (iV-1) * nsub);
	
	delete Vp;	
	f.Close();
	
	return V;
}

#endif
